﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace FieldAutoWidth
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Style newStyle = new Style();
            newStyle.TargetType = typeof(DataRecordPresenter);
            Resources.Add(typeof(DataRecordPresenter), newStyle);
        }

        private void xamDataGrid1_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            Style newStyle = new Style();
            newStyle.TargetType = typeof(DataRecordPresenter);
            newStyle.Setters.Add(new Setter(DataRecordPresenter.HeightProperty, e.NewSize.Height / 10));
            newStyle.Setters.Add(new Setter(DataRecordPresenter.FontSizeProperty, e.NewSize.Height / 20));

            Resources[typeof(DataRecordPresenter)] = newStyle;
        }
    }
}
